Page MenuHomePhabricator

https://wikitech.m.wikimedia.org/ serves wikimedia.org portal
Closed, ResolvedPublic

Description

Is probably not intentional.

https://wikitech.m.wikimedia.org/

This url isn't advertised anywhere afaik, since wikitech doesn't have a mobile version (yet). But could become a problem.

Details

Related Gerrit Patches:

Event Timeline

Krinkle created this task.Dec 5 2015, 5:04 PM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 5 2015, 5:04 PM
fgiunchedi triaged this task as Low priority.Dec 7 2015, 2:49 PM
fgiunchedi added a subscriber: fgiunchedi.
Dzahn added a subscriber: Dzahn.Dec 10 2015, 10:17 PM

Should we delete it from DNS or redirect it? Will there ever be an actual mobile site? probably not, right?

Dzahn edited projects, added Cloud-VPS, Mobile; removed Varnish.Dec 10 2015, 10:18 PM
Dzahn set Security to None.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptDec 10 2015, 10:18 PM

Well, wikitech has MobileFrontend installed: https://wikitech.wikimedia.org/wiki/?useformat=mobile
That domain would need to be changed into a CNAME for silver for this to work. And I seem to vaguely recall some sort of Varnish requirement for this to work properly?

Change 268734 had a related patch set uploaded (by Dzahn):
wikitech: wikitech.m.wikimedia.org -> CNAME silver

https://gerrit.wikimedia.org/r/268734

Dzahn added a comment.Feb 5 2016, 8:39 PM

That domain would need to be changed into a CNAME for silver for this to work. And I seem to vaguely recall some sort of Varnish requirement for this to work properly?

https://gerrit.wikimedia.org/r/#/c/268734/

Change 269504 had a related patch set uploaded (by Dzahn):
wikitech: add wikitech.m.wikimedia.org as server alias

https://gerrit.wikimedia.org/r/269504

Change 269504 merged by Dzahn:
wikitech: add wikitech.m.wikimedia.org as server alias

https://gerrit.wikimedia.org/r/269504

Dzahn added a comment.Feb 9 2016, 9:25 PM

added the ServerAlias in Apache config, silver answers for wikitech.m now, but merging the DNS change to switch it over to silver is blocked because we would get a certificate error.

Change 268734 abandoned by Dzahn:
wikitech.m.wikimedia.org -> silver, just showed portal

https://gerrit.wikimedia.org/r/268734

Krenair added a subscriber: MaxSem.Dec 11 2016, 1:53 AM

From the sounds of what @MaxSem wrote on T87633, it actually can't support this, and we don't need it? So maybe just delete the domain instead?

Change 327022 had a related patch set uploaded (by Dzahn):
delete wikitech.m.wikimedia.org

https://gerrit.wikimedia.org/r/327022

Change 327022 merged by Dzahn:
delete wikitech.m.wikimedia.org

https://gerrit.wikimedia.org/r/327022

Dzahn added a comment.Dec 14 2016, 7:07 PM

[radon:~] $ host wikitech.m.wikimedia.org
Host wikitech.m.wikimedia.org not found: 3(NXDOMAIN)

This has now been deleted from DNS. (see comments on gerrit link as well)

Dzahn closed this task as Resolved.Dec 14 2016, 7:08 PM
Dzahn claimed this task.